# Example 2.3, CEO Salary and Return on Equity
# Data set: ceosal1

load("ceosal1.Rdata")

# Describe the model and summarize the variables
cat("Model to estimate: salary = beta0 + beta1 * roe + u",
    "\n where salary is", paste(desc[desc[,1]=="salary",2]),
    "\n and roe is", paste(desc[desc[,1]=="roe",2]))
summary(data$salary)
summary(data$roe)

# Estimate and show results
model=lm(salary~roe, data=data)
summary(model)
cat("The estimated regression line is\n",
    "salaryhat =", round(model$coefficients[1],digits=3), "+",
    round(model$coefficients[2],digits=3), "* roe\n",
    "n =", nrow(data))

# Interpretation
cat("When roe = 0, the predicted salary is the intercept, ", round(model$coefficients[1],digits=3),
    "\n When roe increases by 1 percentage point, salary is predicted to increase by ",
    round(model$coefficients[2],digits=3), ", or $", 1000*round(model$coefficients[2],digits=3), sep="")