# Example 2.6, CEO Salary and Return on Equity
# Data set: ceosal1

load("ceosal1.Rdata")
data
# Recap the estimated model
model=lm(salary~roe, data=data)
cat("The example uses the data set of CEO salaries that was used in Example 2.3.\nIn the previous example, we estimated the model salary = beta0 + beta1 * roe + u, where salary is ",
    paste(desc[desc[,1]=="salary",2]), ", and roe is ", paste(desc[desc[,1]=="roe",2]),
    "\nThe estimated regression line was\nsalaryhat = ", round(model$coefficients[1],digits=3), " + ",
    round(model$coefficients[2],digits=3), " * roe\n",
    "n = ", nrow(data), sep="")

# Produce the table
data1 = data[c(1:15),c("roe","salary")]
table0 = cbind(data1, model$coefficients[1]+model$coefficients[2]*data1$roe)
table1 = cbind(table0, round(table0[,2]-table0[,3],digits=4))
colnames(table1)=c("roe","salary","salaryhat","uhat")
cat("The following table contains a listing of the first 15 observations in the data set, along with the fitted values (salaryhat) and the residuals (uhat).")
print(table1)
