# Example 7.4, Housing Price Regression
# Data set: hprice1

# Function for result reporting
source("_report.R")

# Load the data and estimate the model in the background
load("hprice1.Rdata")
model=lm(lprice~llotsize+lsqrft+bdrms+colonial,data=data)
dig=c(2,3,3,3,3,3)

# Describe the model
cat("Model to estimate: lprice = beta0 + beta1 * llotsize + beta2 * lsqrft + beta3 * bdrms + beta4 * colonial + u",
    "\nwhere lprice is ", paste(desc[desc[,1]=="lprice",2]), " (price: ", paste(desc[desc[,1]=="price",2]), ")",
    "\nllotsize is ", paste(desc[desc[,1]=="llotsize",2]), " (lotsize: ", paste(desc[desc[,1]=="lotsize",2]), ")",
    "\nlsqrft is ", paste(desc[desc[,1]=="lsqrft",2]), " (sqrft: ", paste(desc[desc[,1]=="sqrft",2]), ")",
    "\nbdrms is ", paste(desc[desc[,1]=="bdrms",2]),
    "\nand colonial is ", paste(desc[desc[,1]=="colonial",2]),
    sep="")

# Report results
{
  cat("The estimated regression line is")
  reportreg(model,dig)
}

# Interpretation
cat("The coefficient on the dummy variable, colonial, has a semi-elasticity interpretation: a colonial-style house is predicted to have a price ",
    100*as.numeric(printcoef(model,5,dig[5])), "% higher than one of another style, holding other factors fixed",
    sep="")